Adunanza per raspberry

Rispondi alle domande del questionario se cerchi assistenza!

##Per utenti Windows:

  1. Versione eMule AdunanzA utilizzata (es. 3.16, 3.18):
  2. Codice di Errore fornito da Ariete (es. U1-129): Ariete al momento è offline! Non usatelo, non può aiutarvi.
  3. Colore delle frecce sul MappaMondo in basso a destra:
  4. Prima terzina dell’indirizzo IP rilevato QUI (es. 100.XXX., 10.XXX, 2.23X):
  5. Sistema operativo (es. Windows XP, Vista, Win7 …):
  6. Antivirus (Nome e Versione: es. Antivir PE):
  7. Firewall (Nome e Versione: es. Zone Alarm 8.0.100 ):
  8. Tipo di connessione (es. adsl, fibra, aziendale, alice adsl, wi-fi o cavo):
  9. Marca e Modello dell’hag/router a cui sei collegato (es. Technicolor TG788vn):
  10. L’ indirizzo IP rilasciato dal router al PC (es. 192.168.1.129, 10.110.1.254) che trovate QUI:
  11. Eventuali altri dati reputati utili (altro hardware o software rilevante):
    Breve descrizione del problema:

(Quando risolverete i vostri problemi cliccate il tasto “Solved” sul post dell’utente che vi ha indicato la soluzione.)

======================================================================
Per utenti LINUX, rispondere a queste domande Questionario di assistenza per Emule ed Amule Adunanza
Per utenti MAC, rispondere a queste domande Questionario di assistenza per Emule ed Amule Adunanza

E quindi…

il seguente Link non e’ piu’ disponibile, qualcuno mi sa indicare una nuova guida ??

http://aduteca.adunanza.net/Amule_AdunanzA/Dispositivi_Embedded/Raspberry_PI

ho letto in un’altro post che serve il file amuled.sh da mettere dentro /etc/init.d , dove posso trovare questo file o cosa c’e’ scritto all’interno dello script ?

Grazie.

Bastava cercare meglio in Aduteca
http://forum.adunanza.net/t/guida-alla-compilazione-di-amule-adunanza-su-raspberry-pi/2736

ho compilato il tutto ma mi da’

error while loading shared libraries: libbfd-2.24.51-system.20140425.so: cannot open shared object file: No such file or directory

cosa posso fare ?

molto strano, hai upgradato linux prima di compilare?

usi Jessie o Wheezy?

attualmente sto utilizzando wheezy .

guarda tra questi quello che ti funziona
non ricordo quale è compilato per wheezy

@CoGe questi sono gli errori che mi escono con le varie versioni

./amuled.477: error while loading shared libraries: libbfd-2.22-system.so: cannot open shared object file: No such file or directory
root@xbian ~/CoGe # ./amuled.495
./amuled.495: error while loading shared libraries: libbfd-2.22-system.so: cannot open shared object file: No such file or directory
root@xbian ~/CoGe # ./amuled.501
./amuled.501: error while loading shared libraries: libbfd-2.22-system.so: cannot open shared object file: No such file or directory
root@xbian ~/CoGe # ./amuled.505
./amuled.505: error while loading shared libraries: libbfd-2.22-system.so: cannot open shared object file: No such file or directory
root@xbian ~/CoGe # ./amuled.516
./amuled.516: error while loading shared libraries: libbfd-2.22-system.so: cannot open shared object file: No such file or directory
root@xbian ~/CoGe # ./amuled.521
./amuled.521: error while loading shared libraries: libbfd-2.22-system.so: cannot open shared object file: No such file or directory
root@xbian ~/CoGe # ./amuled.524
./amuled.524: error while loading shared libraries: libbfd-2.22-system.so: cannot open shared object file: No such file or directory
root@xbian ~/CoGe # ./amuled.525
./amuled.525: error while loading shared libraries: libwx_baseu_net-2.8.so.0: cannot open shared object file: No such file or directory
root@xbian ~/CoGe # ./amuled.526
./amuled.526: error while loading shared libraries: libwx_baseu_net-2.8.so.0: cannot open shared object file: No such file or directory
root@xbian ~/CoGe # ./amuled.527
./amuled.527: error while loading shared libraries: libwx_baseu_net-2.8.so.0: cannot open shared object file: No such file or directory
root@xbian ~/CoGe # ./amuled.531
./amuled.531: error while loading shared libraries: libwx_baseu_net-2.8.so.0: cannot open shared object file: No such file or directory
root@xbian ~/CoGe # ./amuled.536
./amuled.536: error while loading shared libraries: libwx_baseu_net-2.8.so.0: cannot open shared object file: No such file or directory

dai questi due comandi e riprova:

aggiorni il sistema

$ sudo apt-get update && sudo apt-get upgrade

e con questo installi tutte le dipendenze

$ sudo apt-get install build-essential subversion-tools cvs autogen automake1.10 libgtk2.0-dev zlib1g-dev libpng12-dev libgd2-xpm-dev libcrypto+±dev libgeoip-dev libglib2.0-dev libwxgtk2.8-dev flex bison gettext binutils-dev autopoint libupnp6-dev libupnp6
.

@CoGe Mi risponde
Note, selecting ‘automake1.10-doc’ for regex 'automake1.10’
E: Impossibile trovare il pacchetto libwxgtk2.8-dev
E: Impossibile trovare alcun pacchetto tramite l’espressione regolare “libwxgtk2.8-dev”

Tieni conto che e’ una jessie

ok
mostrami il risultato completo dei seguenti due comandi

cat /etc/apt/sources.list

sudo apt-get update

@CoGe

cat /etc/apt/sources.list
deb http://ftp.debian.org/debian jessie main contrib non-free

deb http://ftp.debian.org/debian/ jessie-updates main contrib non-free

deb http://security.debian.org/ jessie/updates main contrib non-free

deb http://apt.osmc.tv jessie main


sudo apt-get update
Trovato http://security.debian.org jessie/updates InRelease
Ign http://ftp.debian.org jessie InRelease
Trovato http://ftp.debian.org jessie-updates InRelease
Trovato http://ftp.debian.org jessie Release.gpg
Trovato http://ftp.debian.org jessie Release
Trovato http://security.debian.org jessie/updates/main armhf Packages
Trovato http://apt.osmc.tv jessie InRelease
Scaricamento di:1 http://ftp.debian.org jessie-updates/main armhf Packages/DiffIndex [367 B]
Trovato http://security.debian.org jessie/updates/contrib armhf Packages
Trovato http://ftp.debian.org jessie-updates/contrib armhf Packages
Trovato http://security.debian.org jessie/updates/non-free armhf Packages
Trovato http://ftp.debian.org jessie-updates/non-free armhf Packages
Trovato http://security.debian.org jessie/updates/contrib Translation-en
Trovato http://ftp.debian.org jessie-updates/contrib Translation-en
Trovato http://security.debian.org jessie/updates/main Translation-en
Trovato http://ftp.debian.org jessie-updates/main Translation-en
Scaricamento di:2 http://apt.osmc.tv jessie/main armhf Packages/DiffIndex [2.023 B]
Trovato http://ftp.debian.org jessie-updates/non-free Translation-en
Trovato http://security.debian.org jessie/updates/non-free Translation-en
Trovato http://ftp.debian.org jessie/main armhf Packages
Trovato http://ftp.debian.org jessie/contrib armhf Packages
Trovato http://ftp.debian.org jessie/non-free armhf Packages
Trovato http://ftp.debian.org jessie/contrib Translation-en
Trovato http://ftp.debian.org jessie/main Translation-it
Trovato http://ftp.debian.org jessie/main Translation-en
Trovato http://ftp.debian.org jessie/non-free Translation-en
Ign http://apt.osmc.tv jessie/main Translation-it_IT
Ign http://apt.osmc.tv jessie/main Translation-it
Ign http://apt.osmc.tv jessie/main Translation-en
Recuperati 2.390 B in 17s (138 B/s)
Lettura elenco dei pacchetti… Fatto

prova ad aggiungere al sources.list questo repositor:

deb http://mirrordirector.raspbian.org/raspbian/ jessie main contrib non-free rpi

e poi ridai
sudo apt-get update

1 Like

@CoGe non me lo fa fare, mi manca la firma

W: Errore GPG: http://mirrordirector.raspbian.org jessie InRelease: Le seguenti firme non sono state verificate perché la chiave pubblica non è disponibile: NO_PUBKEY 9165938D90FDDD2E

wget https://archive.raspbian.org/raspbian.public.key -O - | sudo apt-key add -

5 posts were split to a new topic: Compilazione aMule Adunanza su Netbook, OS Debian Jessie

@CoGe
Finalmente ho risolto il problema iniziale (ho dovuto sostituire la RPi che era difettosa…)

ora ho un’altro problema

quando cerco di connettermi con il client mi dice:

Connessione Fallita. Impossibile connettersi a 192.168.1.2:4712
Connessione non riuscita

se do service amuled stop
entro come utente normale e do
amuled
parte normalmente e funziona, se riavvio la RPi mi da sempre quell’errore, cosa posso vedere ??

bene, ma qual’era? anzi no… lascia stare, se è un problema risolto… NON è più un problema :smiley:

presumo amule GUI

spero, credo di aver capito…

se lanci amuled -f riesci a collegarti con amuleGUI (da un pc o uno smartphone) se invece riavvii il rasp nn ci riesci. giusto?

@CoGe

Giustissimo !!!

tieni conto che :

ho creato un’utente

ho messo il TUO script amuled.sh in /etc/init.d/amuled modificandolo con i dati dell’utente creato.